import { axios } from '@/utils/request'

// 经销商促销列表  分页
export const dealerPromotionList = (params) => {
  const url = `/promotion/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 新增促销活动
export const dealerPromotionSave = params => {
  return axios({
    url: '/promotion/create',
    data: params,
    method: 'post'
  })
}
// 获取促销活动详情
export const dealerPromotionInfo = params => {
  return axios({
    url: `/promotion/findBySn/${params.sn}`,
    data: {},
    method: 'get'
  })
}
// 修改促销活动
export const dealerPromotionEdit = params => {
  return axios({
    url: '/promotion/modify',
    data: params,
    method: 'post'
  })
}

// 删除促销活动
export const dealerPromotionDel = params => {
  return axios({
    url: `/promotion/delete/${params.sn}`,
    data: {},
    method: 'get'
  })
}
// 规则设置页面  详情
export const getRuleDetail = (params) => {
  return axios({
    url: `/promotion/rule/findBySn/${params.sn}`,
    data: {},
    method: 'get'
  })
}
// 规则设置 列表
export const getRuleQueryList = (params) => {
  return axios({
    url: '/promotion/rule/queryList',
    data: params,
    method: 'post'
  })
}

// 新增一行
export const getNewScopeSn = (params) => {
  return axios({
    url: '/promotion/rule/getNewScopeSn',
    data: params,
    method: 'get'
  })
}
// 规则保存
export const promotionSave = (params) => {
  return axios({
    url: '/promotion/rule/save',
    data: params,
    method: 'post'
  })
}
// 删除仓位
export const warehouseLocDel = params => {
  return axios({
    url: `/warehouseLoc/delete/${params.sn}`,
    data: {},
    method: 'get'
  })
}
